for p=1:30
traindata1=A(1:9,priznaky(p)); %trenovaci mnozina parkinsonu
traindata2=B(1:9,priznaky(p)); %trenovaci mnozina kontrolnich
traindata=[traindata1;traindata2];

l1=length(traindata1);
l2=length(traindata2);
TR=[];
for m1=1:l1
    TR=[TR;1]; %[1,1,1,1,1,2,2,2,2,2,2,2,2,2]
end
for m2=1:l2
    TR=[TR;2];
end
trainlabels=TR;
k=3;


for p1=10:11 %cyklus pro testovaci mnozinu parkinsonu 
%testovaci data
testdata1=A(p1,priznaky(p)); %nemocny jedinec 

C=knn(traindata,trainlabels,k, testdata1);

X(p1,p)=C;
end

for p2=10:11 %cyklus pro testovaci mnozinu kontrolnich
%testovaci data
testdata2=B(p2,priznaky(p)); %zdravy jedinec
CK=knn(traindata,trainlabels,k, testdata2);

XK(p2,p)=CK;
end
end

%procentualni uspesnost parkinsonu
procentualni_uspesnost=[];
for p=1:30
    
O=X(:,p);
v1{p}=find(O==1);
v2=length(v1{p});
U=XK(:,p);
u1{p}=find(U==2);
u2=length(u1{p});
cel=((v2+u2)/4)*100; 
procentualni_uspesnost=[procentualni_uspesnost,cel];
end